SSHRemoteExec (Hyperic HQ Plugin API)
Keywords: org.hyperic.util.ssh.SSHRemoteExec class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.util.ssh
Class SSHRemoteExec

    java.lang.Object
      org.hyperic.util.ssh.SSHBase
          org.hyperic.util.ssh.SSHRemoteExec

Direct Known Subclasses:
  SSHCopy

    public class SSHRemoteExec

extends SSHBase

Field Summary
`protected java.lang.String` | `command`

Fields inherited from class org.hyperic.util.ssh.SSHBase
`host, password, port, timeout, user`

Constructor Summary
`SSHRemoteExec(java.lang.String user, java.lang.String password, java.lang.String host)`

Method Summary
`void` | `execute(java.lang.String command)`
`void` | `execute(java.lang.String command, java.io.PrintStream os, java.io.PrintStream err)`
`static void` | `main(java.lang.String[] args)`
`protected void` | `sendAck(java.io.OutputStream out)`
`protected void` | `waitForAck(java.io.InputStream in)` Reads the response, throws a RemoteAccessException indicates an error.

Methods inherited from class org.hyperic.util.ssh.SSHBase
`openSession, setPort, setTimeout`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### command

    protected java.lang.String command

Constructor Detail

### SSHRemoteExec

    public SSHRemoteExec(java.lang.String user,
                         java.lang.String password,
                         java.lang.String host)

Method Detail

### execute

    public void execute(java.lang.String command)
                 throws SSHRemoteException,
                        SSHExecException

  Throws:
    `SSHRemoteException`
    `SSHExecException`

### execute

    public void execute(java.lang.String command,
                        java.io.PrintStream os,
                        java.io.PrintStream err)
                 throws SSHRemoteException,
                        SSHExecException

  Throws:
    `SSHRemoteException`
    `SSHExecException`

### sendAck

    protected void sendAck(java.io.OutputStream out)
                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### waitForAck

    protected void waitForAck(java.io.InputStream in)
                       throws SSHRemoteException,
                              java.io.IOException

  Reads the response, throws a RemoteAccessException indicates an error.

  Throws:
    `SSHRemoteException`
    `java.io.IOException`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.